Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.enum
Class Enum

    java.lang.Object
      |
      +--org.apache.axis.enum.Enum

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Scope, Style, Use

public abstract class Enum
extends java.lang.Object
implements java.io.Serializable

General support for 'enumerated' data types. Name searches are case insensitive.

Author:
  Richard Sitze (rsitze@apache.org)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `Enum.Type`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`
`java.lang.String` | `name`
`int` | `value`

Constructor Summary
`protected` | `Enum(Enum.Type type, int value, java.lang.String name)`

Method Summary
`boolean` | `equals(Enum obj)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()`
`Enum.Type` | `getType()`
`int` | `getValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### value

    public final int value

### name

    public final java.lang.String name

Constructor Detail

### Enum

    protected Enum(Enum.Type type,
                   int value,
                   java.lang.String name)

Method Detail

### getValue

    public final int getValue()

### getName

    public final java.lang.String getName()

### getType

    public final Enum.Type getType()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public final boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public final boolean equals(Enum obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.